Imports System.Windows.Interop
Imports System.IO
Imports EgtUILib
Imports EgtWPFLib5

Public Class SceneHostV

   Private m_MySceneHostVM As MySceneHostVM

   Sub New()
      ' This call is required by the designer.
      InitializeComponent()
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      Me.DataContext = New MySceneHostVM
      m_MySceneHostVM = DirectCast(Me.DataContext, MySceneHostVM)
      m_MySceneHostVM.SetMainScene(MainScene)
   End Sub

End Class
